<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.6.xsd">
    <changeSet author="ichaplygina" id="1617882535974-1">
        <createTable tableName="tm_project">
            <column name="id" type="VARCHAR(255)">
                <constraints primaryKey="true" primaryKeyName="tm_project_pkey"/>
            </column>
            <column name="created_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="completed_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="started_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="description" type="VARCHAR(255)"/>
            <column name="name" type="VARCHAR(255)"/>
            <column name="status" type="VARCHAR(255)"/>
            <column name="user_id" type="VARCHAR(255)"/>
        </createTable>
        <rollback>
            <dropTable tableName="tm_project"/>
        </rollback>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-2">
        <createTable tableName="tm_session">
            <column name="id" type="VARCHAR(255)">
                <constraints primaryKey="true" primaryKeyName="tm_session_pkey"/>
            </column>
            <column name="signature" type="VARCHAR(255)"/>
            <column name="time_stamp" type="BIGINT"/>
            <column name="user_id" type="VARCHAR(255)"/>
        </createTable>
        <rollback>
            <dropTable tableName="tm_session"/>
        </rollback>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-3">
        <createTable tableName="tm_task">
            <column name="id" type="VARCHAR(255)">
                <constraints primaryKey="true" primaryKeyName="tm_task_pkey"/>
            </column>
            <column name="created_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="completed_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="started_dt" type="TIMESTAMP WITHOUT TIME ZONE"/>
            <column name="description" type="VARCHAR(255)"/>
            <column name="name" type="VARCHAR(255)"/>
            <column name="status" type="VARCHAR(255)"/>
            <column name="user_id" type="VARCHAR(255)"/>
            <column name="project_id" type="VARCHAR(255)"/>
        </createTable>
        <rollback>
            <dropTable tableName="tm_task"/>
        </rollback>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-4">
        <createTable tableName="tm_user">
            <column name="id" type="VARCHAR(255)">
                <constraints primaryKey="true" primaryKeyName="tm_user_pkey"/>
            </column>
            <column name="email" type="VARCHAR(255)"/>
            <column name="first_name" type="VARCHAR(255)"/>
            <column name="last_name" type="VARCHAR(255)"/>
            <column name="locked" type="BOOLEAN"/>
            <column name="login" type="VARCHAR(255)"/>
            <column name="middle_name" type="VARCHAR(255)"/>
            <column name="password" type="VARCHAR(255)"/>
            <column name="role" type="VARCHAR(255)"/>
        </createTable>
        <rollback>
            <dropTable tableName="tm_user"/>
        </rollback>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-5">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_task"
                                 constraintName="fk259u52jbpf2unjn4h88au6t2t" deferrable="false"
                                 initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION"
                                 referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-6">
        <addForeignKeyConstraint baseColumnNames="project_id" baseTableName="tm_task"
                                 constraintName="fk4f4yy4k1kvpd1qyn2tcadwbbc" deferrable="false"
                                 initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION"
                                 referencedColumnNames="id" referencedTableName="tm_project" validate="true"/>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-7">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_session"
                                 constraintName="fki15lekemb4n53w9iraw5ooh6o" deferrable="false"
                                 initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION"
                                 referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>
    <changeSet author="ichaplygina" id="1617882535974-8">
        <addForeignKeyConstraint baseColumnNames="user_id" baseTableName="tm_project"
                                 constraintName="fkrer2p7q8rxuqw0way61iyi2dt" deferrable="false"
                                 initiallyDeferred="false" onDelete="NO ACTION" onUpdate="NO ACTION"
                                 referencedColumnNames="id" referencedTableName="tm_user" validate="true"/>
    </changeSet>
</databaseChangeLog>